## GgitDiffOptions GgitDiffOptions |

## Functions

GgitDiffOptions * | ggit_diff_options_new ()

## Properties

GgitDiffOption | flags | Read / Write / Construct
gint | n-context-lines | Read / Write / Construct
gint | n-interhunk-lines | Read / Write / Construct
gchar * | new-prefix | Read / Write / Construct
gchar * | old-prefix | Read / Write / Construct
GStrv | pathspec | Read / Write / Construct

## Types and Values

| GgitDiffOptions

## Object Hierarchy

        GObject
        ╰── GgitDiffOptions

## Description

## Functions

### ggit_diff_options_new ()

    GgitDiffOptions *
    ggit_diff_options_new (void);

Create a new diff options object.

#### Returns

a GgitDiffOptions.

## Types and Values

### GgitDiffOptions

    typedef struct _GgitDiffOptions GgitDiffOptions;

Represents the options used when creating a GgitDiff.

## Property Details

### The `“flags”` property

      “flags”                    GgitDiffOption

Flags.

Flags: Read / Write / Construct

### The `“n-context-lines”` property

      “n-context-lines”          gint

N context lines.

Flags: Read / Write / Construct

Default value: 3

### The `“n-interhunk-lines”` property

      “n-interhunk-lines”        gint

N interhunk lines.

Flags: Read / Write / Construct

Default value: 0

### The `“new-prefix”` property

      “new-prefix”               gchar *

New prefix.

Flags: Read / Write / Construct

Default value: NULL

### The `“old-prefix”` property

      “old-prefix”               gchar *

Old prefix.

Flags: Read / Write / Construct

Default value: NULL

### The `“pathspec”` property

      “pathspec”                 GStrv

Pathspec.

Flags: Read / Write / Construct